Name:		sim-source
Summary:	SIM - simple Instant Messenger source files
Version:	0.9.0
Release:	alt2
Group:		Development/KDE and QT
License:	GPL
Packager:	Albert R. Valiev <darkstar@altlinux.ru>
BuildArch:	noarch

Source0:	sim-0.9.0.tar.bz2
Source1:	sim-data-0.9.0.tar.bz2

%define simsrcdir %buildroot/%_usrsrc/%name-%version

%description
A simple ICQ client for X win system (requires QT,
can be build for KDE). It also runs under MS Windows.
Supported protocols: ICQ v8 (2001), Jabber, MSN.
This packages contais source files for SIM.

%package -n sim-common
Group: Networking/Instant messaging
Summary: SIM - Simple Instant Messenger.
Obsoletes: sim-data sim-qt-data

%description -n sim-common
This package contains data files for SIM

%prep
%__rm -rf sim-%version
%__rm -rf %name-%version
%__rm -rf sim-data-%version

%__tar -jxf %SOURCE0
%__mv sim-%version %name-%version

%__tar -c %name-%version | bzip2 -cz > \
    %name-%version.tar.bz2

%__tar -jxf %SOURCE1

%install
%__mkdir_p %simsrcdir
%__mv %name-%version.tar.bz2 %simsrcdir/

%__mkdir_p %buildroot%_datadir

pushd sim-data-0.9.0

%__mv apps %buildroot%_datadir/
%__mv icons %buildroot%_datadir/
%__mv locale %buildroot%_datadir/

popd

%files
%attr(755,root,root) %dir %_usrsrc/%name-%version
%attr(644,root,root) %_usrsrc/%name-%version/%name-%version.tar.bz2

%files -n sim-common
%_datadir/apps/sim
%_iconsdir/*
%_datadir/locale/*

%changelog
* Tue Nov 04 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.0-alt2
- Fixed login rate bug in icq plugin

* Mon Nov 03 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.0-alt1
- sim-0.9.0 release

* Mon Oct 27 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.0-alt0.3
- Update to 20031026 CVS snapshot

* Mon Sep 22 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.0-alt0.2
- Now we have sim-common package, which generates from this.

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.0-alt0.1
- Initial build

